/*++

Copyright (c) Sydus.

Module:

    ILogSink.h

Authors:

    Sharvil Nanavati (sharvil) 2008-06-17

--*/

#pragma once

#include "base.h"
#include "Logger.h"

class ILogSink
{
	public:
		virtual void Log(const ELogLevel & level, const std::string & message) = 0;
		virtual ~ILogSink() { Logger::Instance().DetachSink(*this); }
};
