/*++

Copyright (c) Sydus.

Module:

	Process.h

Authors:

	Serge (szloto) 2006-09-27

--*/

#pragma once

#include "base.h"

#ifdef PLATFORM_WIN32

#	include "platform/nt/Process_Nt.h"
	typedef Process_Nt Process;

#else

#	include "platform/posix/Process_Posix.h"
	typedef Process_Posix Process;

#endif
