/*++

Copyright (c) Sydus.

Module:

    IThreadImplementation.h

Authors:

    Sharvil Nanavati (sharvil) 2006-03-22

--*/

#pragma once

#include "base.h"

class IThreadImplementation : private NonCopyable
{
	public:
		virtual void Start() = 0;
		virtual void Join() = 0;
		virtual void Exit() = 0;

		virtual bool IsAlive() const = 0;

		virtual ~IThreadImplementation() {}
};
