/*++

Copyright (c) Sydus.

Module:

    ScopedLock.h

Authors:

    Sharvil Nanavati (sharvil) 2005-09-23

--*/

#pragma once

#include "base.h"
#include "Mutex.h"

class ScopedLock
{
	public:
		ScopedLock(Mutex & m);
		~ScopedLock();

	private:
		ScopedLock(const ScopedLock &);
		ScopedLock & operator = (const ScopedLock &);

		Mutex & iMutex;
};
