/*++

Copyright (c) Sydus.

Module:

    Stopwatch.h

Authors:

    Sharvil Nanavati (sharvil) 2005-12-18

--*/

#pragma once

#include "base.h"

class Stopwatch
{
	public:
		Stopwatch();
		~Stopwatch();

		void Start();
		void Stop();
		void Reset();

		bool IsRunning() const;
		uint32 GetTimeElapsed() const;

	private:
		bool iIsRunning;
		uint32 iTimestamp;
		uint32 iTimeElapsed;
};
