/*++

Copyright (c) Sydus.

Module:

    ISSProtocol.h

Authors:

    Sharvil Nanavati (sharvil) 2008-06-17

--*/

#pragma once

#include "base.h"

class SSConnection;

class ISSProtocol
{
	public:
		virtual void Poll(SSConnection & connection) = 0;

		virtual void OnConnect(SSConnection & connection) = 0;
		virtual void OnReceive(SSConnection & connection, const BString & packet) = 0;
		virtual void OnDisconnect() = 0;

		virtual ~ISSProtocol() {}
};
